Bug 30055 - Rewrite some of the patron searches to make them use the REST API routes
Summary: Rewrite some of the patron searches to make them use the REST API routes
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 22316 27912 (view as bug list)
Depends on: 30393 29844 30058 30059 30060 30074 30194
Blocks: 29509 30853 30093 30596
  Show dependency treegraph
 
Reported: 2022-02-09 09:36 UTC by Jonathan Druart
Modified: 2022-05-26 12:49 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30055: Make patron searches use the REST API (43.10 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions (9.61 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /patrons for patron's cards (4.10 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /patrons for routing list (4.16 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /patrons for neworderempty (1.65 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /acquisitions/baskets/managers for basket's manager (6.70 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds (10.30 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Adjust hint about permissions (1.83 KB, patch)
2022-02-09 14:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Prevent blink when page is loading (1.21 KB, patch)
2022-02-09 14:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Make patron searches use the REST API (45.47 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions (9.61 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /patrons for patron's cards (6.15 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /patrons for routing list (5.86 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /patrons for neworderempty (1.65 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Use /acquisitions/baskets/managers for basket's manager (6.70 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds (12.69 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Adjust hint about permissions (1.83 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Prevent blink when page is loading (1.21 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Restore patron's preview links (1.40 KB, patch)
2022-02-09 14:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Add missing include to format addresses (1.48 KB, patch)
2022-02-09 15:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Put extended attributes search back (5.64 KB, patch)
2022-02-10 17:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Add missing spec file for baskets (1.99 KB, patch)
2022-02-11 12:11 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Fix when there is no searchable attr type (1.02 KB, patch)
2022-02-11 12:18 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Missing search on othernames (1.09 KB, patch)
2022-02-11 13:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search (3.42 KB, patch)
2022-02-11 15:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Missing search on othernames (1.09 KB, patch)
2022-02-11 15:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: (follow-up) Increase popup window size (1.36 KB, patch)
2022-02-15 16:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Clarify 'AND' logic (2.51 KB, patch)
2022-02-15 16:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embed in fund owners (817 bytes, patch)
2022-02-16 15:44 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embeds (1.46 KB, patch)
2022-02-16 15:51 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embeds (1.36 KB, patch)
2022-02-17 07:30 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.40 KB, patch)
2022-02-17 08:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Don't hardcode the default sort column (2.02 KB, patch)
2022-02-17 09:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.40 KB, patch)
2022-02-17 10:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.35 KB, patch)
2022-02-17 10:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.35 KB, patch)
2022-03-17 09:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: clear the column filter if none selected (1.12 KB, patch)
2022-03-24 15:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Make patron searches use the REST API (45.50 KB, patch)
2022-03-29 13:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions (9.65 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /patrons for patron's cards (6.20 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /patrons for routing list (5.91 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /patrons for neworderempty (1.70 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /acquisitions/baskets/managers for basket's manager (6.75 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds (12.73 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Adjust hint about permissions (1.88 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Prevent blink when page is loading (1.26 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Restore patron's preview links (1.45 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Add missing include to format addresses (1.53 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Put extended attributes search back (5.69 KB, patch)
2022-03-29 13:43 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Add missing spec file for baskets (2.04 KB, patch)
2022-03-29 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Fix when there is no searchable attr type (1.08 KB, patch)
2022-03-29 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search (3.47 KB, patch)
2022-03-29 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Missing search on othernames (1.14 KB, patch)
2022-03-29 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (follow-up) Increase popup window size (1.42 KB, patch)
2022-03-29 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embeds (1.42 KB, patch)
2022-03-29 13:44 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Don't hardcode the default sort column (2.08 KB, patch)
2022-03-29 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.40 KB, patch)
2022-03-29 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: clear the column filter if none selected (1.17 KB, patch)
2022-03-29 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (QA follow-up) Minor QA fixes (2.04 KB, patch)
2022-03-29 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: API unit tests (4.73 KB, patch)
2022-03-29 13:45 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Make patron searches use the REST API (45.50 KB, patch)
2022-03-29 15:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions (9.78 KB, patch)
2022-03-29 15:34 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /patrons for patron's cards (6.21 KB, patch)
2022-03-29 15:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /patrons for routing list (5.91 KB, patch)
2022-03-29 15:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /patrons for neworderempty (1.70 KB, patch)
2022-03-29 15:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Use /acquisitions/baskets/managers for basket's manager (6.76 KB, patch)
2022-03-29 15:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds (12.74 KB, patch)
2022-03-29 15:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Adjust hint about permissions (1.88 KB, patch)
2022-03-29 15:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Prevent blink when page is loading (1.26 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Restore patron's preview links (1.45 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Add missing include to format addresses (1.53 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Put extended attributes search back (5.69 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Add missing spec file for baskets (2.04 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Fix when there is no searchable attr type (1.08 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search (3.47 KB, patch)
2022-03-29 15:36 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Missing search on othernames (1.14 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (follow-up) Increase popup window size (1.42 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embeds (1.41 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Don't hardcode the default sort column (2.08 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.40 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: clear the column filter if none selected (1.17 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (QA follow-up) Minor QA fixes (2.04 KB, patch)
2022-03-29 15:37 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: API unit tests (4.73 KB, patch)
2022-03-29 15:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: (follow-up) Adapt spec for bug 30194 (7.70 KB, patch)
2022-03-29 15:38 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30055: Add missing x-koha-embed for /acquisitions/baskets/managers (767 bytes, patch)
2022-03-30 08:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30055: Make patron searches use the REST API (45.64 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions (9.93 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Use /patrons for patron's cards (6.36 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Use /patrons for routing list (6.05 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Use /patrons for neworderempty (1.85 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Use /acquisitions/baskets/managers for basket's manager (6.91 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds (12.88 KB, patch)
2022-03-30 14:03 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Adjust hint about permissions (2.02 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Prevent blink when page is loading (1.41 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Restore patron's preview links (1.59 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Add missing include to format addresses (1.68 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Put extended attributes search back (5.47 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Add missing spec file for baskets (2.19 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Fix when there is no searchable attr type (1.22 KB, patch)
2022-03-30 14:04 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search (3.62 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Missing search on othernames (1.29 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: (follow-up) Increase popup window size (1.56 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embeds (1.56 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Don't hardcode the default sort column (2.22 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.55 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: clear the column filter if none selected (1.32 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: (QA follow-up) Minor QA fixes (2.19 KB, patch)
2022-03-30 14:05 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: API unit tests (4.87 KB, patch)
2022-03-30 14:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: (follow-up) Adapt spec for bug 30194 (7.85 KB, patch)
2022-03-30 14:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Add missing x-koha-embed for /acquisitions/baskets/managers (914 bytes, patch)
2022-03-30 14:06 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 30055: Make patron searches use the REST API (45.71 KB, patch)
2022-03-31 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions (9.99 KB, patch)
2022-03-31 08:38 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Use /patrons for patron's cards (6.36 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Use /patrons for routing list (6.12 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Use /patrons for neworderempty (1.91 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Use /acquisitions/baskets/managers for basket's manager (6.97 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds (12.95 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Adjust hint about permissions (2.09 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Prevent blink when page is loading (1.47 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Restore patron's preview links (1.66 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Add missing include to format addresses (1.74 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Put extended attributes search back (5.53 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Add missing spec file for baskets (2.25 KB, patch)
2022-03-31 08:39 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Fix when there is no searchable attr type (1.29 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search (3.68 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Missing search on othernames (1.35 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Increase popup window size (1.63 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Add missing embeds (1.62 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Don't hardcode the default sort column (2.29 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Force exact match for dropdown (4.61 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: clear the column filter if none selected (1.38 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (QA follow-up) Minor QA fixes (2.25 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: API unit tests (4.94 KB, patch)
2022-03-31 08:40 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: (follow-up) Adapt spec for bug 30194 (7.91 KB, patch)
2022-03-31 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30055: Add missing x-koha-embed for /acquisitions/baskets/managers (979 bytes, patch)
2022-03-31 08:41 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-02-09 09:36:43 UTC

    
Comment 1 Jonathan Druart 2022-02-09 09:40:50 UTC
*** Bug 22316 has been marked as a duplicate of this bug. ***
Comment 2 Jonathan Druart 2022-02-09 09:41:00 UTC
*** Bug 27912 has been marked as a duplicate of this bug. ***
Comment 3 Jonathan Druart 2022-02-09 14:25:05 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2022-02-09 14:25:09 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2022-02-09 14:25:14 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2022-02-09 14:25:19 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2022-02-09 14:25:23 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2022-02-09 14:25:28 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2022-02-09 14:25:32 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2022-02-09 14:25:36 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2022-02-09 14:27:21 UTC
Tests are missing for the new API routes. I can provide them (even if they will be dumb), but I'd like to make sure you won't make me rewrite the whole thing before...
Comment 12 Jonathan Druart 2022-02-09 14:35:22 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2022-02-09 14:43:14 UTC
Hum, found something here. I removed the "patron_preview" thing.
Comment 14 Jonathan Druart 2022-02-09 14:52:07 UTC
Created attachment 130385 [details] [review]
Bug 30055: Make patron searches use the REST API

This patch will rewrite some of our patron searches to make them use the
REST API routes (and so the powerful the DataTables wrapper which will
bring all the nice DT feature to filter, sort, etc.)

The patron searches we will take into account here are those that we use
to select a patron in a pop-up:
 * Guarantor
 * Suggestion's manager
 * Patron's card
 * Serial routing list
 * Users to notify when order is received
 * Manager of an acquisition basket
 * Owner and users of a fund

Regarding permissions there are two main problematics:
 * Filter a patron set by patrons having a
specific subpermissions (in case of adding a manager to a suggestion or
when we deal with acquisition and funds). We added a new
Koha::Patrons->filter_by_have_subpermission method that will take in
parameter a subpermission. To make thing transparent for the callers we
are adding new routes, like /suggestions/managers to list the possible
managers of suggestions.
 * Restrict/allow access to the default patron searches /patrons
We need to access it when a logged in patron does not have borrowers
permission.
Ideally we need a separate "search_borrowers" subpermissions but it's
considered outside the scope of this change.

For each patch you will take care of testing the different permissions
that are into effect (either for the logged in patron or the patrons
returned by the search).

The tables should contain the same columns as prior to this patch,
except for "categories" and "library". We have the filter on top of the
page and so we need to add them to the table as new columns if they
weren't there before.

Test plan (for this patch):
Search for guarantor and select

Test plan (for all patches):
Add/Select patrons from the correct place where you can search for
patrons, play extensively with the filters/pagination/etc

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 15 Jonathan Druart 2022-02-09 14:52:11 UTC
Created attachment 130386 [details] [review]
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions

Test plan:
Select a manager for a suggestion

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 16 Jonathan Druart 2022-02-09 14:52:17 UTC
Created attachment 130387 [details] [review]
Bug 30055: Use /patrons for patron's cards

Test plan:
Create a new card batch and add new borrowernumber using the "Add
patron(s)" button.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 17 Jonathan Druart 2022-02-09 14:52:23 UTC
Created attachment 130388 [details] [review]
Bug 30055: Use /patrons for routing list

Test plan:
Add new users to a serial routing list

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 18 Jonathan Druart 2022-02-09 14:52:28 UTC
Created attachment 130389 [details] [review]
Bug 30055: Use /patrons for neworderempty

Test plan:
Create or edit an order, add users to notify on receiving

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 19 Jonathan Druart 2022-02-09 14:52:33 UTC
Created attachment 130390 [details] [review]
Bug 30055: Use /acquisitions/baskets/managers for basket's manager

Test plan:
Add a manager to a basket

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 20 Jonathan Druart 2022-02-09 14:52:38 UTC
Created attachment 130391 [details] [review]
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds

Two new routes that do the same thing
/api/v1/acquisitions/funds/owners
/api/v1/acquisitions/funds/users
To list the possible owners and users for a fund

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 21 Jonathan Druart 2022-02-09 14:52:43 UTC
Created attachment 130392 [details] [review]
Bug 30055: Adjust hint about permissions

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 22 Jonathan Druart 2022-02-09 14:52:47 UTC
Created attachment 130393 [details] [review]
Bug 30055: Prevent blink when page is loading
Comment 23 Jonathan Druart 2022-02-09 14:52:52 UTC
Created attachment 130394 [details] [review]
Bug 30055: Restore patron's preview links
Comment 24 Jonathan Druart 2022-02-09 15:30:40 UTC
Created attachment 130395 [details] [review]
Bug 30055: Add missing include to format addresses
Comment 25 Tomás Cohen Arazi 2022-02-09 17:47:23 UTC
(In reply to Jonathan Druart from comment #11)
> Tests are missing for the new API routes. I can provide them (even if they
> will be dumb), but I'd like to make sure you won't make me rewrite the whole
> thing before...

I find this implementation  lovely.
Comment 26 Martin Renvoize 2022-02-10 16:35:29 UTC
I'm on board too, great work Jonathan!
Comment 27 Jonathan Druart 2022-02-10 17:13:51 UTC
Created attachment 130457 [details] [review]
Bug 30055: Put extended attributes search back

Last patches remove the ability to search on extended attributes.
C4::Utils::DataTables::Members::search is searching on all the
attributes that are flagged as "searchable", we want to keep this
behaviour.

I have tried several things and this is the simplest I have found.
Comment 28 Fridolin Somers 2022-02-10 21:57:27 UTC
Great enhancement, more API \o/
Comment 29 Martin Renvoize 2022-02-11 11:29:02 UTC
Hmm, right now I'm getting 404's on the API requests in my testing.. continuing to investigate.

Couple of comments to get us started though.. 

* It might be nice to enable `"header_filter": true,` on the kohaTable.. the URL's are pretty crazy to read without it.
* Was it a deliberate choice to use 'add_filters'.. for the guarantor search at least, this is a change and I'm not sure it makes sense to have the both sets of filters visible at the same time in the popup window?
Comment 30 Martin Renvoize 2022-02-11 11:33:19 UTC
Also, could we get a little update for the jsdoc for kohaTable for the changes/enhancements you've made.. especially the signature update for default_filters?
Comment 31 Jonathan Druart 2022-02-11 12:11:10 UTC
Created attachment 130487 [details] [review]
Bug 30055: Add missing spec file for baskets
Comment 32 Jonathan Druart 2022-02-11 12:18:29 UTC
Created attachment 130488 [details] [review]
Bug 30055: Fix when there is no searchable attr type

No idea why we need that.
Comment 33 Jonathan Druart 2022-02-11 13:07:30 UTC
Created attachment 130491 [details] [review]
Bug 30055: Missing search on othernames
Comment 34 Jonathan Druart 2022-02-11 15:24:03 UTC
Created attachment 130507 [details] [review]
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search

We lost the DefaultPatronSearchFields behaviour, we don't want to search
on all data but only DefaultPatronSearchFields
Comment 35 Jonathan Druart 2022-02-11 15:27:21 UTC
(In reply to Martin Renvoize from comment #29)
> Hmm, right now I'm getting 404's on the API requests in my testing..
> continuing to investigate.
> 
> Couple of comments to get us started though.. 
> 
> * It might be nice to enable `"header_filter": true,` on the kohaTable.. the
> URL's are pretty crazy to read without it.

Not strongly attached to that. Could switch to header_filter if your prefer.

> * Was it a deliberate choice to use 'add_filters'.. for the guarantor search
> at least, this is a change and I'm not sure it makes sense to have the both
> sets of filters visible at the same time in the popup window?

Yes, that's definitely a deliberate choice. The idea is to keep the same filters as before on top of the table, but provide a way to refine the search with the column's filters. I would like to have the same behaviour/UI on all patrons search. You also noticed the "Browse by last name" that will be there as well.

(In reply to Martin Renvoize from comment #30)
> Also, could we get a little update for the jsdoc for kohaTable for the
> changes/enhancements you've made.. especially the signature update for
> default_filters?

Yep, I was waiting for the other bug follow-ups and feedbacks to make sure it's the correct way to accomplish that.
Comment 36 Jonathan Druart 2022-02-11 15:44:29 UTC
Created attachment 130511 [details] [review]
Bug 30055: Missing search on othernames
Comment 37 Martin Renvoize 2022-02-15 16:38:15 UTC
Created attachment 130629 [details] [review]
Bug 30055: (follow-up) Increase popup window size

With the required addition of fields to the displayed result table, we
need to increase the size of the popover window to prevent horizontal
scrolling.
Comment 38 Martin Renvoize 2022-02-15 16:38:19 UTC
Created attachment 130630 [details] [review]
Bug 30055: (follow-up) Clarify 'AND' logic
Comment 39 Owen Leonard 2022-02-16 14:32:21 UTC
When I test searches which are limited to staff users I get an error: "Embedding objects is not allowed on this endpoint."
Comment 40 Jonathan Druart 2022-02-16 15:41:16 UTC
(In reply to Owen Leonard from comment #39)
> When I test searches which are limited to staff users I get an error:
> "Embedding objects is not allowed on this endpoint."

Yes, it's the last patch that is causing problems. I am obsoleting it.
Comment 41 Martin Renvoize 2022-02-16 15:44:52 UTC
Created attachment 130671 [details] [review]
Bug 30055: (follow-up) Add missing embed in fund owners
Comment 42 Martin Renvoize 2022-02-16 15:51:25 UTC
Created attachment 130672 [details] [review]
Bug 30055: (follow-up) Add missing embeds

This patch add the missing extended_attributes embed for /funds/owners,
/funds/users and /suggestions/managers
Comment 43 Jonathan Druart 2022-02-16 15:53:09 UTC
(In reply to Jonathan Druart from comment #40)
> (In reply to Owen Leonard from comment #39)
> > When I test searches which are limited to staff users I get an error:
> > "Embedding objects is not allowed on this endpoint."
> 
> Yes, it's the last patch that is causing problems. I am obsoleting it.

To clarify, this patch was not causing Owen's issue. However I found yesterday:

https://snipboard.io/3eYNEw.jpg
I am searching for "sss" which I know return 1 result (from extended attribute)
then I filter general on "ed" => still one result
=> all good

then: https://snipboard.io/HYJyuU.jpg
I am adding "ed" to filter on surname
It should NOT change anything in the result set, as "Edna" contains "ed" but it does not returning anything 
If I am continuing to play, I am getting a 500 at some point (don't know exactly from which point it happened) 
the 500 is:
GET /api/v1/patrons: unhandled exception (DBIx::Class::Exception)<<SQL::Abstract::puke(): [SQL::Abstract::__ANON__] Fatal: Supplying an empty left hand side argument is not supported.
in array-pairs at /usr/share/perl5/Data/Page.pm line 49>> Koha::REST::Plugin::Exceptions::__ANON__ /kohadevbox/koha/Koha/REST/Plugin/Exceptions.pm (73)...
So the query is badly construct.
Comment 44 Martin Renvoize 2022-02-16 15:54:47 UTC
(In reply to Jonathan Druart from comment #43)
> (In reply to Jonathan Druart from comment #40)
> > (In reply to Owen Leonard from comment #39)
> > > When I test searches which are limited to staff users I get an error:
> > > "Embedding objects is not allowed on this endpoint."
> > 
> > Yes, it's the last patch that is causing problems. I am obsoleting it.
> 
> To clarify, this patch was not causing Owen's issue. However I found
> yesterday:
> 
> https://snipboard.io/3eYNEw.jpg
> I am searching for "sss" which I know return 1 result (from extended
> attribute)
> then I filter general on "ed" => still one result
> => all good
> 
> then: https://snipboard.io/HYJyuU.jpg
> I am adding "ed" to filter on surname
> It should NOT change anything in the result set, as "Edna" contains "ed" but
> it does not returning anything 
> If I am continuing to play, I am getting a 500 at some point (don't know
> exactly from which point it happened) 
> the 500 is:
> GET /api/v1/patrons: unhandled exception
> (DBIx::Class::Exception)<<SQL::Abstract::puke(): [SQL::Abstract::__ANON__]
> Fatal: Supplying an empty left hand side argument is not supported.
> in array-pairs at /usr/share/perl5/Data/Page.pm line 49>>
> Koha::REST::Plugin::Exceptions::__ANON__
> /kohadevbox/koha/Koha/REST/Plugin/Exceptions.pm (73)...
> So the query is badly construct.

I can't replicate these issues
Comment 45 Jonathan Druart 2022-02-16 16:35:02 UTC
(In reply to Martin Renvoize from comment #44)
> I can't replicate these issues

Well, it's very easy to recreate.
Create a new fresh ktd or use a sandbox, then add a guarantor: 
https://snipboard.io/bAUyDn.jpg

remove "ed" from "Name" => you get "edna"
Adding "ed" in Name should NOT remove Edna from the result list!
Comment 46 Jonathan Druart 2022-02-16 17:11:04 UTC
(In reply to Jonathan Druart from comment #45)
> (In reply to Martin Renvoize from comment #44)
> > I can't replicate these issues
> 
> Well, it's very easy to recreate.
> Create a new fresh ktd or use a sandbox, then add a guarantor: 
> https://snipboard.io/bAUyDn.jpg
> 
> remove "ed" from "Name" => you get "edna"
> Adding "ed" in Name should NOT remove Edna from the result list!

tl;dr; version of the discussion on the chat: the version *without* Martin's patch has this bug as well...

Yesterday the test I made was with search a pattern matching an extended attribute in the "main search", but that is not working either.
Comment 47 Nick Clemens 2022-02-16 18:20:31 UTC
When limiting search via the table filters, dropdowns should be filtered on equality, not contains.

To recreate:
search for '%' in the search to return all patrons
use category dropdown to limit to 'Patron' - works
use category dropdown to limit to 'Teacher' - fail - you see 'Patron' and 'Student' categories because they contain 'T' - the code for 'Teacher'
Comment 48 Jonathan Druart 2022-02-17 07:30:28 UTC Comment hidden (obsolete)
Comment 49 Jonathan Druart 2022-02-17 08:26:43 UTC Comment hidden (obsolete)
Comment 50 Jonathan Druart 2022-02-17 08:26:55 UTC
(In reply to Nick Clemens from comment #47)
> When limiting search via the table filters, dropdowns should be filtered on
> equality, not contains.
> 
> To recreate:
> search for '%' in the search to return all patrons
> use category dropdown to limit to 'Patron' - works
> use category dropdown to limit to 'Teacher' - fail - you see 'Patron' and
> 'Student' categories because they contain 'T' - the code for 'Teacher'

Thanks!
Comment 51 Jonathan Druart 2022-02-17 08:27:40 UTC Comment hidden (obsolete)
Comment 52 Jonathan Druart 2022-02-17 09:58:30 UTC Comment hidden (obsolete)
Comment 53 Jonathan Druart 2022-02-17 10:49:15 UTC Comment hidden (obsolete)
Comment 54 Jonathan Druart 2022-02-17 10:50:36 UTC Comment hidden (obsolete)
Comment 55 Tomás Cohen Arazi 2022-03-16 20:48:41 UTC
(In reply to Jonathan Druart from comment #51)
> (In reply to Jonathan Druart from comment #49)
> > Created attachment 130702 [details] [review] [review] [review]
> > Bug 30055: Force exact match for dropdown
> > 
> > For libraries and categories we need to use an exact match.
> 
> This patch is a bit awkward, feel free to suggest a better alternative if
> you found one!

What you really want is bug 29302, don't you?
Comment 56 Jonathan Druart 2022-03-17 09:35:31 UTC
(In reply to Tomás Cohen Arazi from comment #55)
> (In reply to Jonathan Druart from comment #51)
> > (In reply to Jonathan Druart from comment #49)
> > > Created attachment 130702 [details] [review] [review] [review] [review]
> > > Bug 30055: Force exact match for dropdown
> > > 
> > > For libraries and categories we need to use an exact match.
> > 
> > This patch is a bit awkward, feel free to suggest a better alternative if
> > you found one!
> 
> What you really want is bug 29302, don't you?

I don't think so.
Here we are syncing the form with the DT filters when the form is submitted. We are not initializing the table.
Comment 57 Jonathan Druart 2022-03-17 09:42:05 UTC Comment hidden (obsolete)
Comment 58 Jonathan Druart 2022-03-24 15:04:45 UTC Comment hidden (obsolete)
Comment 59 Tomás Cohen Arazi 2022-03-29 10:00:11 UTC
Ok, I tested again, in the suggestions page:
- First time I entered a search for 'a' it didn't show my own user, couldn't reproduce but worth mentioning
- When you choose your own user, it is described as 'null koha' instead of the original 'You' that is displayed when you enter the page.
- Missing tests for the routes
Comment 60 Tomás Cohen Arazi 2022-03-29 10:15:18 UTC
(In reply to Tomás Cohen Arazi from comment #59)
> Ok, I tested again, in the suggestions page:
> - When you choose your own user, it is described as 'null koha' instead of
> the original 'You' that is displayed when you enter the page.

This is already the case in master, nevermind.
Comment 61 Tomás Cohen Arazi 2022-03-29 13:42:57 UTC Comment hidden (obsolete)
Comment 62 Tomás Cohen Arazi 2022-03-29 13:43:04 UTC Comment hidden (obsolete)
Comment 63 Tomás Cohen Arazi 2022-03-29 13:43:10 UTC Comment hidden (obsolete)
Comment 64 Tomás Cohen Arazi 2022-03-29 13:43:15 UTC Comment hidden (obsolete)
Comment 65 Tomás Cohen Arazi 2022-03-29 13:43:21 UTC Comment hidden (obsolete)
Comment 66 Tomás Cohen Arazi 2022-03-29 13:43:26 UTC Comment hidden (obsolete)
Comment 67 Tomás Cohen Arazi 2022-03-29 13:43:31 UTC Comment hidden (obsolete)
Comment 68 Tomás Cohen Arazi 2022-03-29 13:43:36 UTC Comment hidden (obsolete)
Comment 69 Tomás Cohen Arazi 2022-03-29 13:43:42 UTC Comment hidden (obsolete)
Comment 70 Tomás Cohen Arazi 2022-03-29 13:43:47 UTC Comment hidden (obsolete)
Comment 71 Tomás Cohen Arazi 2022-03-29 13:43:52 UTC Comment hidden (obsolete)
Comment 72 Tomás Cohen Arazi 2022-03-29 13:43:58 UTC Comment hidden (obsolete)
Comment 73 Tomás Cohen Arazi 2022-03-29 13:44:14 UTC Comment hidden (obsolete)
Comment 74 Tomás Cohen Arazi 2022-03-29 13:44:19 UTC Comment hidden (obsolete)
Comment 75 Tomás Cohen Arazi 2022-03-29 13:44:24 UTC Comment hidden (obsolete)
Comment 76 Tomás Cohen Arazi 2022-03-29 13:44:29 UTC Comment hidden (obsolete)
Comment 77 Tomás Cohen Arazi 2022-03-29 13:44:36 UTC Comment hidden (obsolete)
Comment 78 Tomás Cohen Arazi 2022-03-29 13:44:42 UTC Comment hidden (obsolete)
Comment 79 Tomás Cohen Arazi 2022-03-29 13:45:04 UTC Comment hidden (obsolete)
Comment 80 Tomás Cohen Arazi 2022-03-29 13:45:10 UTC Comment hidden (obsolete)
Comment 81 Tomás Cohen Arazi 2022-03-29 13:45:16 UTC Comment hidden (obsolete)
Comment 82 Tomás Cohen Arazi 2022-03-29 13:45:22 UTC Comment hidden (obsolete)
Comment 83 Tomás Cohen Arazi 2022-03-29 13:45:29 UTC Comment hidden (obsolete)
Comment 84 Tomás Cohen Arazi 2022-03-29 13:46:42 UTC
All good so far. I learned why column search is important for big sites (thanks Severine). There's a false positive in the QA tools
Comment 85 Séverine Queune 2022-03-29 15:27:22 UTC
About guarantor page (I'm not used to this functionality so I hope I use it correctly and tested it as expected) :

1) I love the big popup !

2) I was surprised by the content of the table, as I expected something unified with the table in '-members-home.pl page, but it's not

3) Address is much bigger than the other informations, font-size should probably be set at 100% instead of 110%

4) Resetting a dropdown menu fails on new search.
To reproduce : select a library or category in the dropdown and search ; reset the menu to 'Any' and search : results stay the same.
Use 'Clear' option and launch a new search using 'Any' : results stay the same as initial search.


About Suggestion's manager + Patron's card + Serial routing list +  Users to notify when order is received + Owner and users of a fund pages :

5) I regret the pop-up isn't a big one as for guarantor (see point 1) : you have to scroll to see results which is not really a user-friendly thing. I opened a new bug for that.

6) same as point 4)

7) I also have the same search 'issues' described on bug 30063 for special signs (point 3) and search not correctly applied (point 4)


About Manager of an acquisition basket :

8) I can't get any results whatever the permissions I set for different users (order_manage, order_manage_all, superlibrarian)

Note that I tested as a superlibrairian user but didn't try with simple user permissions.
Comment 86 Tomás Cohen Arazi 2022-03-29 15:34:50 UTC Comment hidden (obsolete)
Comment 87 Tomás Cohen Arazi 2022-03-29 15:34:55 UTC Comment hidden (obsolete)
Comment 88 Tomás Cohen Arazi 2022-03-29 15:35:09 UTC Comment hidden (obsolete)
Comment 89 Tomás Cohen Arazi 2022-03-29 15:35:18 UTC Comment hidden (obsolete)
Comment 90 Tomás Cohen Arazi 2022-03-29 15:35:24 UTC Comment hidden (obsolete)
Comment 91 Tomás Cohen Arazi 2022-03-29 15:35:39 UTC Comment hidden (obsolete)
Comment 92 Tomás Cohen Arazi 2022-03-29 15:35:44 UTC Comment hidden (obsolete)
Comment 93 Tomás Cohen Arazi 2022-03-29 15:35:50 UTC Comment hidden (obsolete)
Comment 94 Tomás Cohen Arazi 2022-03-29 15:36:06 UTC Comment hidden (obsolete)
Comment 95 Tomás Cohen Arazi 2022-03-29 15:36:11 UTC Comment hidden (obsolete)
Comment 96 Tomás Cohen Arazi 2022-03-29 15:36:16 UTC Comment hidden (obsolete)
Comment 97 Tomás Cohen Arazi 2022-03-29 15:36:38 UTC Comment hidden (obsolete)
Comment 98 Tomás Cohen Arazi 2022-03-29 15:36:43 UTC Comment hidden (obsolete)
Comment 99 Tomás Cohen Arazi 2022-03-29 15:36:48 UTC Comment hidden (obsolete)
Comment 100 Tomás Cohen Arazi 2022-03-29 15:36:54 UTC Comment hidden (obsolete)
Comment 101 Tomás Cohen Arazi 2022-03-29 15:37:02 UTC Comment hidden (obsolete)
Comment 102 Tomás Cohen Arazi 2022-03-29 15:37:09 UTC Comment hidden (obsolete)
Comment 103 Tomás Cohen Arazi 2022-03-29 15:37:34 UTC Comment hidden (obsolete)
Comment 104 Tomás Cohen Arazi 2022-03-29 15:37:40 UTC Comment hidden (obsolete)
Comment 105 Tomás Cohen Arazi 2022-03-29 15:37:46 UTC Comment hidden (obsolete)
Comment 106 Tomás Cohen Arazi 2022-03-29 15:37:52 UTC Comment hidden (obsolete)
Comment 107 Tomás Cohen Arazi 2022-03-29 15:37:58 UTC Comment hidden (obsolete)
Comment 108 Tomás Cohen Arazi 2022-03-29 15:38:04 UTC Comment hidden (obsolete)
Comment 109 Tomás Cohen Arazi 2022-03-29 15:38:11 UTC Comment hidden (obsolete)
Comment 110 Jonathan Druart 2022-03-30 08:15:15 UTC Comment hidden (obsolete)
Comment 111 Jonathan Druart 2022-03-30 08:27:09 UTC
(In reply to Séverine Queune from comment #85)
> About guarantor page (I'm not used to this functionality so I hope I use it
> correctly and tested it as expected) :
> 
> 1) I love the big popup !

I opened bug 30404.

> 2) I was surprised by the content of the table, as I expected something
> unified with the table in '-members-home.pl page, but it's not

They should contain the same columns as before.

> 3) Address is much bigger than the other informations, font-size should
> probably be set at 100% instead of 110%

Opened bug 30405.


> 4) Resetting a dropdown menu fails on new search.
> To reproduce : select a library or category in the dropdown and search ;
> reset the menu to 'Any' and search : results stay the same.
> Use 'Clear' option and launch a new search using 'Any' : results stay the
> same as initial search.

Fixed on bug 30093.

> About Suggestion's manager + Patron's card + Serial routing list +  Users to
> notify when order is received + Owner and users of a fund pages :
> 
> 5) I regret the pop-up isn't a big one as for guarantor (see point 1) : you
> have to scroll to see results which is not really a user-friendly thing. I
> opened a new bug for that.

Ha, but I've opened bug 30404 as well :) Which one is yours?
> 
> 6) same as point 4)

Should be fixed as well then.

> 7) I also have the same search 'issues' described on bug 30063 for special
> signs (point 3) and search not correctly applied (point 4)

This has been reported by Tomas on bug 30393.

> About Manager of an acquisition basket :
> 
> 8) I can't get any results whatever the permissions I set for different
> users (order_manage, order_manage_all, superlibrarian)
> 
> Note that I tested as a superlibrairian user but didn't try with simple user
> permissions.

Good catch, is fixed now!
Comment 112 Séverine Queune 2022-03-30 11:47:15 UTC Comment hidden (obsolete)
Comment 113 Séverine Queune 2022-03-30 14:03:01 UTC
Created attachment 132616 [details] [review]
Bug 30055: Make patron searches use the REST API

This patch will rewrite some of our patron searches to make them use the
REST API routes (and so the powerful the DataTables wrapper which will
bring all the nice DT feature to filter, sort, etc.)

The patron searches we will take into account here are those that we use
to select a patron in a pop-up:
 * Guarantor
 * Suggestion's manager
 * Patron's card
 * Serial routing list
 * Users to notify when order is received
 * Manager of an acquisition basket
 * Owner and users of a fund

Regarding permissions there are two main problematics:
 * Filter a patron set by patrons having a
specific subpermissions (in case of adding a manager to a suggestion or
when we deal with acquisition and funds). We added a new
Koha::Patrons->filter_by_have_subpermission method that will take in
parameter a subpermission. To make thing transparent for the callers we
are adding new routes, like /suggestions/managers to list the possible
managers of suggestions.
 * Restrict/allow access to the default patron searches /patrons
We need to access it when a logged in patron does not have borrowers
permission.
Ideally we need a separate "search_borrowers" subpermissions but it's
considered outside the scope of this change.

For each patch you will take care of testing the different permissions
that are into effect (either for the logged in patron or the patrons
returned by the search).

The tables should contain the same columns as prior to this patch,
except for "categories" and "library". We have the filter on top of the
page and so we need to add them to the table as new columns if they
weren't there before.

Test plan (for this patch):
Search for guarantor and select

Test plan (for all patches):
Add/Select patrons from the correct place where you can search for
patrons, play extensively with the filters/pagination/etc

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 114 Séverine Queune 2022-03-30 14:03:10 UTC
Created attachment 132617 [details] [review]
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions

Test plan:
Select a manager for a suggestion

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 115 Séverine Queune 2022-03-30 14:03:18 UTC
Created attachment 132618 [details] [review]
Bug 30055: Use /patrons for patron's cards

Test plan:
Create a new card batch and add new borrowernumber using the "Add
patron(s)" button.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 116 Séverine Queune 2022-03-30 14:03:27 UTC
Created attachment 132619 [details] [review]
Bug 30055: Use /patrons for routing list

Test plan:
Add new users to a serial routing list

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 117 Séverine Queune 2022-03-30 14:03:35 UTC
Created attachment 132620 [details] [review]
Bug 30055: Use /patrons for neworderempty

Test plan:
Create or edit an order, add users to notify on receiving

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 118 Séverine Queune 2022-03-30 14:03:43 UTC
Created attachment 132621 [details] [review]
Bug 30055: Use /acquisitions/baskets/managers for basket's manager

Test plan:
Add a manager to a basket

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 119 Séverine Queune 2022-03-30 14:03:51 UTC
Created attachment 132622 [details] [review]
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds

Two new routes that do the same thing
/api/v1/acquisitions/funds/owners
/api/v1/acquisitions/funds/users
To list the possible owners and users for a fund

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 120 Séverine Queune 2022-03-30 14:04:00 UTC
Created attachment 132623 [details] [review]
Bug 30055: Adjust hint about permissions

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 121 Séverine Queune 2022-03-30 14:04:09 UTC
Created attachment 132624 [details] [review]
Bug 30055: Prevent blink when page is loading

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 122 Séverine Queune 2022-03-30 14:04:17 UTC
Created attachment 132625 [details] [review]
Bug 30055: Restore patron's preview links

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 123 Séverine Queune 2022-03-30 14:04:27 UTC
Created attachment 132627 [details] [review]
Bug 30055: Add missing include to format addresses

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 124 Séverine Queune 2022-03-30 14:04:36 UTC
Created attachment 132628 [details] [review]
Bug 30055: Put extended attributes search back

Last patches remove the ability to search on extended attributes.
C4::Utils::DataTables::Members::search is searching on all the
attributes that are flagged as "searchable", we want to keep this
behaviour.

I have tried several things and this is the simplest I have found.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 125 Séverine Queune 2022-03-30 14:04:44 UTC
Created attachment 132629 [details] [review]
Bug 30055: Add missing spec file for baskets

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 126 Séverine Queune 2022-03-30 14:04:53 UTC
Created attachment 132630 [details] [review]
Bug 30055: Fix when there is no searchable attr type

No idea why we need that.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 127 Séverine Queune 2022-03-30 14:05:01 UTC
Created attachment 132631 [details] [review]
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search

We lost the DefaultPatronSearchFields behaviour, we don't want to search
on all data but only DefaultPatronSearchFields

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 128 Séverine Queune 2022-03-30 14:05:10 UTC
Created attachment 132632 [details] [review]
Bug 30055: Missing search on othernames

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 129 Séverine Queune 2022-03-30 14:05:18 UTC
Created attachment 132633 [details] [review]
Bug 30055: (follow-up) Increase popup window size

With the required addition of fields to the displayed result table, we
need to increase the size of the popover window to prevent horizontal
scrolling.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 130 Séverine Queune 2022-03-30 14:05:26 UTC
Created attachment 132634 [details] [review]
Bug 30055: (follow-up) Add missing embeds

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 131 Séverine Queune 2022-03-30 14:05:35 UTC
Created attachment 132635 [details] [review]
Bug 30055: Don't hardcode the default sort column

At this point it does not change anything, all calls to
members/search.pl has "name" in second column, but that will be helpful
in follow-up bugs.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 132 Séverine Queune 2022-03-30 14:05:43 UTC
Created attachment 132636 [details] [review]
Bug 30055: Force exact match for dropdown

For libraries and categories we need to use an exact match.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 133 Séverine Queune 2022-03-30 14:05:51 UTC
Created attachment 132637 [details] [review]
Bug 30055: clear the column filter if none selected

ie. search for "", not "^$"

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 134 Séverine Queune 2022-03-30 14:05:58 UTC
Created attachment 132638 [details] [review]
Bug 30055: (QA follow-up) Minor QA fixes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 135 Séverine Queune 2022-03-30 14:06:07 UTC
Created attachment 132639 [details] [review]
Bug 30055: API unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 136 Séverine Queune 2022-03-30 14:06:15 UTC
Created attachment 132640 [details] [review]
Bug 30055: (follow-up) Adapt spec for bug 30194

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 137 Séverine Queune 2022-03-30 14:06:24 UTC
Created attachment 132641 [details] [review]
Bug 30055: Add missing x-koha-embed for /acquisitions/baskets/managers

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 138 Séverine Queune 2022-03-30 14:11:19 UTC
All the bugs linked to this specific ticket are fixed, thanks Jonathan !
Comment 139 Martin Renvoize 2022-03-31 08:38:51 UTC
Created attachment 132664 [details] [review]
Bug 30055: Make patron searches use the REST API

This patch will rewrite some of our patron searches to make them use the
REST API routes (and so the powerful the DataTables wrapper which will
bring all the nice DT feature to filter, sort, etc.)

The patron searches we will take into account here are those that we use
to select a patron in a pop-up:
 * Guarantor
 * Suggestion's manager
 * Patron's card
 * Serial routing list
 * Users to notify when order is received
 * Manager of an acquisition basket
 * Owner and users of a fund

Regarding permissions there are two main problematics:
 * Filter a patron set by patrons having a
specific subpermissions (in case of adding a manager to a suggestion or
when we deal with acquisition and funds). We added a new
Koha::Patrons->filter_by_have_subpermission method that will take in
parameter a subpermission. To make thing transparent for the callers we
are adding new routes, like /suggestions/managers to list the possible
managers of suggestions.
 * Restrict/allow access to the default patron searches /patrons
We need to access it when a logged in patron does not have borrowers
permission.
Ideally we need a separate "search_borrowers" subpermissions but it's
considered outside the scope of this change.

For each patch you will take care of testing the different permissions
that are into effect (either for the logged in patron or the patrons
returned by the search).

The tables should contain the same columns as prior to this patch,
except for "categories" and "library". We have the filter on top of the
page and so we need to add them to the table as new columns if they
weren't there before.

Test plan (for this patch):
Search for guarantor and select

Test plan (for all patches):
Add/Select patrons from the correct place where you can search for
patrons, play extensively with the filters/pagination/etc

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 140 Martin Renvoize 2022-03-31 08:38:56 UTC
Created attachment 132665 [details] [review]
Bug 30055: Use /api/v1/suggestions/managers to list managers or suggestions

Test plan:
Select a manager for a suggestion

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 141 Martin Renvoize 2022-03-31 08:39:01 UTC
Created attachment 132666 [details] [review]
Bug 30055: Use /patrons for patron's cards

Test plan:
Create a new card batch and add new borrowernumber using the "Add
patron(s)" button.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Comment 142 Martin Renvoize 2022-03-31 08:39:07 UTC
Created attachment 132667 [details] [review]
Bug 30055: Use /patrons for routing list

Test plan:
Add new users to a serial routing list

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 143 Martin Renvoize 2022-03-31 08:39:12 UTC
Created attachment 132668 [details] [review]
Bug 30055: Use /patrons for neworderempty

Test plan:
Create or edit an order, add users to notify on receiving

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 144 Martin Renvoize 2022-03-31 08:39:18 UTC
Created attachment 132669 [details] [review]
Bug 30055: Use /acquisitions/baskets/managers for basket's manager

Test plan:
Add a manager to a basket

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 145 Martin Renvoize 2022-03-31 08:39:23 UTC
Created attachment 132670 [details] [review]
Bug 30055: /api/v1/acquisitions/funds/owners and users for funds

Two new routes that do the same thing
/api/v1/acquisitions/funds/owners
/api/v1/acquisitions/funds/users
To list the possible owners and users for a fund

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 146 Martin Renvoize 2022-03-31 08:39:29 UTC
Created attachment 132671 [details] [review]
Bug 30055: Adjust hint about permissions

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 147 Martin Renvoize 2022-03-31 08:39:35 UTC
Created attachment 132672 [details] [review]
Bug 30055: Prevent blink when page is loading

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 148 Martin Renvoize 2022-03-31 08:39:41 UTC
Created attachment 132673 [details] [review]
Bug 30055: Restore patron's preview links

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 149 Martin Renvoize 2022-03-31 08:39:47 UTC
Created attachment 132674 [details] [review]
Bug 30055: Add missing include to format addresses

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 150 Martin Renvoize 2022-03-31 08:39:52 UTC
Created attachment 132675 [details] [review]
Bug 30055: Put extended attributes search back

Last patches remove the ability to search on extended attributes.
C4::Utils::DataTables::Members::search is searching on all the
attributes that are flagged as "searchable", we want to keep this
behaviour.

I have tried several things and this is the simplest I have found.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 151 Martin Renvoize 2022-03-31 08:39:58 UTC
Created attachment 132676 [details] [review]
Bug 30055: Add missing spec file for baskets

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 152 Martin Renvoize 2022-03-31 08:40:04 UTC
Created attachment 132677 [details] [review]
Bug 30055: Fix when there is no searchable attr type

No idea why we need that.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 153 Martin Renvoize 2022-03-31 08:40:11 UTC
Created attachment 132678 [details] [review]
Bug 30055: Restore DefaultPatronSearchFields and fix extended attrs search

We lost the DefaultPatronSearchFields behaviour, we don't want to search
on all data but only DefaultPatronSearchFields

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 154 Martin Renvoize 2022-03-31 08:40:16 UTC
Created attachment 132679 [details] [review]
Bug 30055: Missing search on othernames

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 155 Martin Renvoize 2022-03-31 08:40:22 UTC
Created attachment 132680 [details] [review]
Bug 30055: (follow-up) Increase popup window size

With the required addition of fields to the displayed result table, we
need to increase the size of the popover window to prevent horizontal
scrolling.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 156 Martin Renvoize 2022-03-31 08:40:28 UTC
Created attachment 132681 [details] [review]
Bug 30055: (follow-up) Add missing embeds

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 157 Martin Renvoize 2022-03-31 08:40:33 UTC
Created attachment 132682 [details] [review]
Bug 30055: Don't hardcode the default sort column

At this point it does not change anything, all calls to
members/search.pl has "name" in second column, but that will be helpful
in follow-up bugs.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 158 Martin Renvoize 2022-03-31 08:40:39 UTC
Created attachment 132683 [details] [review]
Bug 30055: Force exact match for dropdown

For libraries and categories we need to use an exact match.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 159 Martin Renvoize 2022-03-31 08:40:45 UTC
Created attachment 132684 [details] [review]
Bug 30055: clear the column filter if none selected

ie. search for "", not "^$"

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 160 Martin Renvoize 2022-03-31 08:40:51 UTC
Created attachment 132685 [details] [review]
Bug 30055: (QA follow-up) Minor QA fixes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 161 Martin Renvoize 2022-03-31 08:40:56 UTC
Created attachment 132686 [details] [review]
Bug 30055: API unit tests

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 162 Martin Renvoize 2022-03-31 08:41:02 UTC
Created attachment 132687 [details] [review]
Bug 30055: (follow-up) Adapt spec for bug 30194

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 163 Martin Renvoize 2022-03-31 08:41:07 UTC
Created attachment 132688 [details] [review]
Bug 30055: Add missing x-koha-embed for /acquisitions/baskets/managers

Signed-off-by: Séverine Queune <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 164 Martin Renvoize 2022-03-31 08:42:27 UTC
Such a great team effort here testing and qaing.. tests are all now passing, followups have al been forthcoming.. this is great work and brings us to a much better place.

QA scripts also happy, 

PASSING QA
Comment 165 Fridolin Somers 2022-04-04 07:48:56 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄